## slepc 3.24.0+dfsg1

=== share/slepc/CMakeLists.txt ===
#
#  This is a sample CMakeLists.txt suitable for direct use with a new SLEPc application or
#  you can add fragments of material below to an existing applications CMakeLists.txt
#
#  Usage:  To build ex1 from ex1.c
#    rm -fr build
#    mkdir build
#    cd build
#    cmake ..
#    make
#    ./ex1
#
#  By default it gets both the compiler information and the library information from PETSc
#
cmake_minimum_required(VERSION 3.1.0)

set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

# set root of location to find PETSc's and SLEPc's pkg-config
set(PETSC $ENV{PETSC_DIR}/$ENV{PETSC_ARCH})
set(SLEPC $ENV{SLEPC_DIR}/$ENV{PETSC_ARCH})
set(ENV{PKG_CONFIG_PATH} ${PETSC}/lib/pkgconfig:${SLEPC}/lib/pkgconfig)

# Remove the lines below if you do not wish to have PETSc determine the compilers
execute_process ( COMMAND pkg-config PETSc --variable=ccompiler COMMAND tr -d '\n' OUTPUT_VARIABLE C_COMPILER)
SET(CMAKE_C_COMPILER ${C_COMPILER})
execute_process ( COMMAND pkg-config PETSc --variable=cxxcompiler COMMAND tr -d '\n' OUTPUT_VARIABLE CXX_COMPILER)
if (CXX_COMPILER)
  SET(CMAKE_CXX_COMPILER ${CXX_COMPILER})
endif (CXX_COMPILER)
execute_process ( COMMAND pkg-config PETSc --variable=fcompiler COMMAND tr -d '\n' OUTPUT_VARIABLE FORTRAN_COMPILER)
if (FORTRAN_COMPILER)
  SET(CMAKE_Fortran_COMPILER ${FORTRAN_COMPILER})
  enable_language(Fortran)
endif (FORTRAN_COMPILER)

#  tells CMake to build the application ex1 from the source file ex1.c
#  this must appear AFTER the compilers are set
project(ex1)
add_executable(ex1 ex1.c)

find_package(PkgConfig REQUIRED)
pkg_search_module(SLEPC REQUIRED IMPORTED_TARGET SLEPc)
target_link_libraries(ex1 PkgConfig::SLEPC)

## slepc 3.2-p3.dfsg

=== debian/changelog ===
slepc (3.2-p3.dfsg-2) unstable; urgency=low

  [ Christophe Trophime ]
  * Changed to source format 3.0 (quilt) since it already uses quilt patches.
  * Added lintian overrides for Adam Powell's name.
  * Added symlink for header files.

  [ Adam C. Powell, IV ]
  * Bumped versioning on PETSc Build-Depends to 3.2.dfsg-5.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 27 Jan 2012 08:44:15 -0500

slepc (3.2-p3.dfsg-1) unstable; urgency=low

  [ Johannes Ring ]
  * Team upload.
  * New upstream release (Closes: #653618).
  * Update Standards-Version to 3.9.2 (no changes needed).

  [ Adam C. Powell, IV ]
  * Versioned Build-Depends on most recent PETSc, without which this build
    breaks.
  * Added myself to Uploaders list.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 16 Jan 2012 11:16:53 -0500

slepc (3.1-p6.dfsg-1) unstable; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release
  * Bug fix: "please upgrade 3.1", thanks to trophime (Closes: #610587).
  * Bug fix: "ftbfs with gold or ld --no-add-needed", thanks to Matthias
    Klose (Closes: #615774).
  * Bug fix: "FTBFS on armel, ia64, mips and sparc", thanks to Mehdi
    Dogguy (Closes: #623447).
  * debian/patches: update petsc-shlib-link.patch for slepc 3.1

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 29 Apr 2011 04:05:06 +0200

slepc (3.1-p5.dfsg-1) unstable; urgency=low

  [ Christophe Trophime ]
  * New upstream version

  [ Christophe Prud'homme ]
  * Update to -p5

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 10 Feb 2011 12:01:14 +0100

slepc (3.0.0-p7.dfsg-8) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control: depends on libpetsc3.0.0 to ensure that the hppa
    breakage on libpetsc3.1 is bypassed

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 05 Jul 2010 16:22:27 +0200

slepc (3.0.0-p7.dfsg-7) unstable; urgency=low

  [Christophe Prud'homme]
  * Attempt to fix build on some arches: don't let petsc try to rebuild
    the shared libs

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 30 May 2010 08:35:01 +0200

slepc (3.0.0-p7.dfsg-6) unstable; urgency=low

  [Christophe Prud'homme]
  * moved to Debian Science
  * fix Depends to PETSc 3.1 and HDF5

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 29 May 2010 12:49:20 +0200

slepc (3.0.0-p7.dfsg-5) unstable; urgency=low

  [Christophe Prud'homme]
  * Added patch for a more verbose diagnostic at configure time

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 29 May 2010 11:44:05 +0200

slepc (3.0.0-p7.dfsg-4) unstable; urgency=low

  [Christophe Prud'homme]
  * Bug fix: "FTBFS: ERROR: Unable to link with PETSc", thanks to Lucas
    Nussbaum (Closes: #577291).
  * Provide patch for PETSc 3.1 and changes in the interface
  * Update Standards-Version to 3.8.4, no change

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 28 May 2010 13:50:42 +0200

slepc (3.0.0-p7.dfsg-3) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control: fixed lintian warnings

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 03 Jan 2010 08:35:04 +0100

slepc (3.0.0-p7.dfsg-2) unstable; urgency=low

  [Christophe Prud'homme]
  * Bug fix: "Updating the slepc Maintainer/Uploaders list", thanks to
    Sandro Tosi (Closes: #550416).

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 08 Nov 2009 08:09:43 +0100

slepc (3.0.0-p7.dfsg-1) unstable; urgency=low

  * New upstream release (patch level 7). Includes some fixes for PGHNEP
    problems and other minor fixes.
  * debian/control:
    - Update Standards-Version to 3.8.3.
    - Force libslepc3.0.0-dev to depend on the exact same version of
      libslepc3.0.0 (replace source:Version with binary:Version).
  * debian/rules: Use DEB_BUILD_GNU_SYSTEM to set PETSC_ARCH such that
    it does not fail on non linux-gnu architectures.
  * debian/README.source: Refer to README.source for quilt.
  * debian/watch: Use the dversionmangle option to remove the dfsg

 -- Johannes Ring <johannr@simula.no>  Tue, 03 Nov 2009 08:23:03 +0100

slepc (3.0.0-p5.dfsg-1) unstable; urgency=low

  [ Johannes Ring ]
  * New upstream release (patch level 5). Includes updated
    conf/slepc_common_variables (closes: #528122).
  * debian/rules: Removed docs/slepc.pdf from tarball (no sources).
  * debian/control:
    - Change section to debug for -dbg package (lintian warning).
    - Updated Standards-Version to 3.8.2.
  * debian/patches: Added patch to link SLEPc shared library against
    PETSc shared libraries.

  [ Christophe Prud'homme ]
  * Bug fix: "Paths broken so petsc is unable to find slepc", thanks to
    root (Closes: #530625).
  * debian/rules: don't fail in mv if some files are not there

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 26 Aug 2009 18:12:44 +0200

slepc (3.0.0-p2-1) unstable; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release
    + Released under GNU LGPL license.
    + Improved support for the case that many eigenpairs are to be
    computed. This is especially so in the default eigensolver
    (Krylov-Schur) for symmetric problems, as well as for SVD
    computations. The user can control the behaviour of the solver with a
    new parameter, mpd (see EPSSetDimensions).
    + Support for harmonic projection in the default eigensolver
    (Krylov-Schur), see EPSSetExtraction. This can be useful for computing
    interior or rightmost eigenvalues without the need of a spectral
    transformation.
    + Memory usage has been optimized in most solvers. In some cases,
    memory requirements have been halved with respect to the previous
    versions.
    + In the spectral transformations (ST) the linear solver used
    internally has been changed to a direct solver by default. The user
    can still employ an iterative linear solver by setting the appropriate
    options.
    + Added better support for Fortran 90.
    + Improved support for 'make install', see the Users Manual for
    details.
  * debian/copyright: updated to LGPL-3


=== debian/control ===
Source: slepc
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, "Adam C. Powell, IV" <hazelsct@debian.org>
Build-Depends: debhelper (>= 7), quilt, python (>= 2.4.4-6), libpetsc3.2-dev (>= 3.2.dfsg-5), libpetsc3.2-dbg, libarpack2-dev, libarpack2-dbg, libhdf5-mpi-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.grycap.upv.es/slepc/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/slepc/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/slepc/trunk

Package: libslepc3.2-dev
Section: libdevel
Architecture: any
Depends: libslepc3.2 (= ${binary:Version}), libpetsc3.2-dev, libarpack2-dev, libhdf5-mpi-dev, ${misc:Depends}
Suggests: libslepc3.2-dbg (= ${binary:Version}), slepc3.2-doc (= ${binary:Version})
Conflicts: libslepc2.3.2-dev
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the static libraries, shared links, and header files
 for SLEPC.

Package: libslepc3.2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libslepc2.3.2
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the shared libraries for SLEPc.

Package: libslepc3.2-dbg
Architecture: any
Section: debug
Depends: libslepc3.2-dev (= ${binary:Version}), libpetsc3.2-dbg, libarpack2-dbg, ${misc:Depends}
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the static debugging libraries for SLEPc.

Package: slepc3.2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libslepc3.2-dev (= ${binary:Version})
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the documentation and examples for SLEPc.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# This file is strongly based on debian/rules from the Debian PETSc package

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# SLEPC_VERSION is used for the package names, library sonames, and
# /usr/lib/slepcdir subdirectory names.
SLEPC_VERSION=3.2

# SLEPC_NAME is the install dir under /usr/lib and the base for package names
SLEPC_NAME=slepc$(SLEPC_VERSION)

# PETSC_ARCH is the architecture that PETSc was configured on.
PETSC_ARCH=$(DEB_BUILD_GNU_SYSTEM)

# PETSC_DIR is the location of PETSc.
PETSC_DIR=/usr/lib/petsc

# These files need to be customized based on architecture and/or version.
# See the binary arch target for how they are generated.
ARCH_GENERATED_FILES=debian/lib$(SLEPC_NAME)-dev.postinst \
	debian/lib$(SLEPC_NAME)-dev.prerm

export CPPFLAGS=-I/usr/include/petsc

clean:
	dh_testdir
	-if [ -e patch ]; then \
	  debian/rules unpatch; \
	fi
	-mv tags thetags
	dh_clean
	-mv thetags tags
	rm -f build* install* $(ARCH_GENERATED_FILES)
	-$(MAKE) PETSC_ARCH=$(PETSC_ARCH)-c-debug PETSC_DIR=$(PETSC_DIR) \
	  SLEPC_DIR=$(CURDIR) allclean
	-$(MAKE) PETSC_ARCH=$(PETSC_ARCH)-c-opt PETSC_DIR=$(PETSC_DIR) \
	  SLEPC_DIR=$(CURDIR) allclean
# These probably should be removed by `make clean' but aren't
	rm -f `find . -name \*.pyc -print`
	rm -rf $(PETSC_ARCH)-c-debug $(PETSC_ARCH)-c-opt
	rm -rf lib debian/extemp

patch:
	if [ ! -e $@ ]; then \
	  QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2; \
	fi
	touch $@

unpatch:
	if [ -e patch ]; then \
	  QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2; \
	  rm -rf patch .pc; \
	fi

build-indep: patch
# We have nothing to do by default.
	touch $@

# With debugging=1, only static libraries are generated.
# Build optimized libs second so files are consistent with optimized.
build-arch: patch
	PETSC_ARCH=$(PETSC_ARCH)-c-debug PETSC_DIR=$(PETSC_DIR) \
	  SLEPC_DIR=$(CURDIR) ./configure --with-arpack-dir=/usr/lib/debug/usr/lib \
	  --with-arpack-flags=-lparpack,-larpack
	$(MAKE) PETSC_ARCH=$(PETSC_ARCH)-c-debug PETSC_DIR=$(PETSC_DIR) \
	  SLEPC_INSTALL_DIR=/usr/lib/slepcdir/$(SLEPC_VERSION) \
	  SLEPC_DIR=$(CURDIR)
	PETSC_ARCH=$(PETSC_ARCH)-c-opt PETSC_DIR=$(PETSC_DIR) \
	  SLEPC_DIR=$(CURDIR) ./configure --with-arpack-dir=/usr/lib \
	  --with-arpack-flags=-lparpack,-larpack
	$(MAKE) PETSC_ARCH=$(PETSC_ARCH)-c-opt PETSC_DIR=$(PETSC_DIR) \
	  SLEPC_INSTALL_DIR=/usr/lib/slepcdir/$(SLEPC_VERSION) \
	  SL_LINKER_SUFFIX_VERSIONED="so.$(SLEPC_VERSION)" \
	  SLEPC_DIR=$(CURDIR)
	touch $@

build: build-arch build-indep
	touch $@

install-arch: build-arch
# Install conf in PETSC_DIR
	install -d debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/conf
	for cfile in `ls conf`; do \
	  grep -v top_builddir conf/$$cfile | \
	    sed "s/`echo $(CURDIR) | sed s/\\\\//\\\\\\\\\\\\//g`/\/usr\/lib\/slepcdir\/$(SLEPC_VERSION)/g" > \
	    debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/conf/$$cfile ; \
	done
# Install PETSC_ARCH/conf and PETSC_ARCH/include files in SLEPC_DIR/PETSC_ARCH/;
# replace this dir with install dir, and remove top_builddir
	install -d debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-opt/conf
	for cfile in `ls $(PETSC_ARCH)-c-opt/conf`; do \
	  grep -v top_builddir $(PETSC_ARCH)-c-opt/conf/$$cfile | \
	    sed "s/`echo $(CURDIR) | sed s/\\\\//\\\\\\\\\\\\//g`/\/usr\/lib\/slepcdir\/$(SLEPC_VERSION)/g" > \
	    debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-opt/conf/$$cfile ; \
	done
	rm -f debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-opt/conf/*.py
	cp -a $(PETSC_ARCH)-c-opt/include debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-opt/
# Now conf and include for the -dbg package
	install -d debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-debug/conf
	for cfile in `ls $(PETSC_ARCH)-c-debug/conf`; do \
	  grep -v top_builddir $(PETSC_ARCH)-c-debug/conf/$$cfile | \
	    sed "s/`echo $(CURDIR) | sed s/\\\\//\\\\\\\\\\\\//g`/\/usr\/lib\/slepcdir\/$(SLEPC_VERSION)/g" > \
	    debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-debug/conf/$$cfile ; \
	done
	rm -f debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-debug/conf/*.py
	cp -a $(PETSC_ARCH)-c-debug/include debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-debug/
# Install headers in SLEPC_DIR/include
	install -d debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/finclude
	cp -p include/*.h \
	  debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include
	cp -p include/finclude/*.h include/finclude/*.h90 \
	  debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/finclude
	install -d debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/private
	cp -p include/private/*.h \
	  debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/private
	install -d debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/src/eps/impls/blopex
	sed "s/..\/src/src/" < src/eps/impls/external/blopex/slepc-interface.h > \
	  debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/src/eps/impls/blopex/slepc-interface.h
	install -d debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/src/eps/impls/arpack
	cp -p src/eps/impls/external/arpack/arpackp.h \
	  debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include/src/eps/impls/arpack
	cd debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/include && \
	  ln -s ../$(PETSC_ARCH)-c-opt/include/*.h .
# Install libs in SLEPC_DIR, move shared libs to /usr/lib and symlink
	install -d debian/lib$(SLEPC_NAME)/usr/lib
	cp -a $(PETSC_ARCH)-c-opt/lib debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-opt/
	cp -a $(PETSC_ARCH)-c-debug/lib debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-debug/
	for LIB in `cd $(PETSC_ARCH)-c-opt/lib && ls *.so.*` ; \
	do \
	  mv debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-opt/lib/$$LIB \
	    debian/lib$(SLEPC_NAME)/usr/lib/$$LIB ; \
	  ln -s ../../../../$$LIB \
	    debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/$(PETSC_ARCH)-c-opt/lib/$$LIB ; \
	done
# Make legacy symlinks including C++
	install -d debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/lib
	ln -s ../$(PETSC_ARCH)-c-opt/lib debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/lib/libO
	ln -s ../$(PETSC_ARCH)-c-opt/lib debian/lib$(SLEPC_NAME)-dev/usr/lib/slepcdir/$(SLEPC_VERSION)/lib/libO_c++
	install -d debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/lib
	ln -s ../$(PETSC_ARCH)-c-debug/lib debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/lib/libg
	ln -s ../$(PETSC_ARCH)-c-debug/lib debian/lib$(SLEPC_NAME)-dbg/usr/lib/slepcdir/$(SLEPC_VERSION)/lib/libg_c++
	touch install-arch

# Depends on install-arch because it creates SLEPC_DIR
install-indep: build-indep install-arch
ifeq ($(SLEPC_VERSION),3.2)
# Install header documentation in -doc/include
	install -d debian/$(SLEPC_NAME)-doc/usr/share/doc/$(SLEPC_NAME)-doc/include/finclude
	cp -p include/*.html \
	  debian/$(SLEPC_NAME)-doc/usr/share/doc/$(SLEPC_NAME)-doc/include
	cp -p include/finclude/*.html \
	  debian/$(SLEPC_NAME)-doc/usr/share/doc/$(SLEPC_NAME)-doc/include/finclude
	install -d debian/$(SLEPC_NAME)-doc/usr/share/doc/$(SLEPC_NAME)-doc/include/private
	cp -p include/private/*.html \

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d+$//,downloadurlmangle=s/download.php\?filename=/distrib\//,filenamemangle=s/^.*(slepc.*?\.(?:tgz|tar\.gz))/$1/ \
 http://www.grycap.upv.es/slepc/download/download.htm ^.*slepc-(.+)\.(?:tgz|tar\.gz)$

## slepc 3.6.1.dfsg1

=== debian/changelog ===
slepc (3.6.1.dfsg1-2build2) xenial; urgency=medium

  * No-change rebuild for openmpi on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 13:20:12 +0000

slepc (3.6.1.dfsg1-2build1) xenial; urgency=medium

  * No-change rebuild for openmpi1.10 transition.

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 06 Feb 2016 11:30:14 +0200

slepc (3.6.1.dfsg1-2) unstable; urgency=medium

  * Build-Depends: gfortran. Closes: #751245, #778123.
  * Install examples into doc package. Closes: #726618.
  * Updated dependencies. Closes: #755180, #802706.

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Oct 2015 12:04:35 +0800

slepc (3.6.1.dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Add *-complex packages with support for complex numbers.
  * List DFSG files (docs/slepc.pdf) in debian/copyright.
  * Standards version: 3.9.6

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Oct 2015 10:44:26 +0800

slepc (3.4.2.dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - remove builddepends on libhdf5-mpi-dev (Closes: #755180)

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Wed, 10 Sep 2014 14:36:42 +0200

slepc (3.4.2.dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against gcc 4.9 (Closes: #751245)
  * Add debian/source
  * debian/rules:
    - simplify clean target 
    - remove patch target

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Tue, 24 Jun 2014 10:13:59 +0200

slepc (3.4.2.dfsg-2) unstable; urgency=low

  [ Anton Gladky ]
  * Add copyright information of files 
    src/eps/impls/external/blopex/petsc-interface.*
    Thanks to Paul Tagliamonte.

  [ Christophe Prud'homme ]
  * upload
  * add ${shlibs:Depends}  to -dbg Depends lines to fix lintian

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 24 May 2014 06:19:38 +0000

slepc (3.4.2.dfsg-1) unstable; urgency=low

  [ Christophe Trophime ]
  * New upstream release
  * Add libparpack to BuildDepends

  [ Johannes Ring ]
  * Team upload.
  * Add symlink to the configuration header (Closes: #675039

  [ Sylvestre Ledru ]
  * remove -dbg packages from the build dep
  * Update Standards-Version to 3.9.4 (no changes needed).

  [ Anton Gladky ]
  * Use make instead of $(MAKE) to escape parallel build.
  * Override lintian error (seems, false-positive). Add dh_lintian to rules.

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Thu, 05 Sep 2013 10:49:52 +0200

slepc (3.2-p5-1) unstable; urgency=low

  [Christophe Prud'homme]
  * New upstream release

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 07 Apr 2012 07:56:50 +0200

=== debian/control ===
Source: slepc
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, "Adam C. Powell, IV" <hazelsct@debian.org>,
 Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper (>= 9), quilt, python (>= 2.4.4-6),
 pkg-config, dh-python, gfortran,
 libpetsc3.6.2-dev, libpetsc3.6.2-dbg,
 libpetsc-complex-3.6.2-dev, libpetsc-complex-3.6.2-dbg,
 libarpack2-dev, libparpack2-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://slepc.upv.es/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/slepc.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/slepc.git/

Package: slepc-dev
Section: libdevel
Architecture: any
Depends: libslepc3.6.1-dev, ${misc:Depends}
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This is a virtual package which depends on the latest version of SLEPc.

Package: libslepc3.6.1-dev
Section: libdevel
Architecture: any
Depends: libslepc3.6 (= ${binary:Version}), libpetsc3.6.2-dev, libarpack2-dev, libhdf5-mpi-dev, 
 ${misc:Depends}, ${python:Depends}
Suggests: libslepc3.6.1-dbg (= ${binary:Version}), slepc3.6.1-doc (= ${binary:Version})
Conflicts: libslepc2.3.2-dev
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the static libraries, shared links, and header files
 for SLEPC with real numbers.

Package: libslepc3.6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libslepc2.3.2
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the shared libraries for SLEPc with real numbers.

Package: libslepc3.6.1-dbg
Architecture: any
Section: debug
Depends: libslepc3.6.1-dev (= ${binary:Version}), libpetsc3.6.2-dbg, libarpack2-dbg, 
 ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the debugging libraries for SLEPc with real numbers.

Package: slepc3.6.1-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libslepc3.6.1-dev (= ${binary:Version})
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the documentation and examples for SLEPc.

Package: libslepc-complex-3.6.1-dev
Section: libdevel
Architecture: any
Depends: libslepc-complex-3.6 (= ${binary:Version}), libpetsc-complex-3.6.2-dev, libarpack2-dev, libhdf5-mpi-dev, 
 ${misc:Depends}, ${python:Depends}
Suggests: libslepc-complex-3.6.1-dbg (= ${binary:Version}), slepc3.6.1-doc (= ${binary:Version})
Conflicts: libslepc2.3.2-dev
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the static libraries, shared links, and header files
 for SLEPC with complex numbers.

Package: libslepc-complex-3.6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libslepc2.3.2
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the shared libraries for SLEPc with complex numbers.

Package: libslepc-complex-3.6.1-dbg
Architecture: any
Section: debug
Depends: libslepc-complex-3.6.1-dev (= ${binary:Version}), libpetsc-complex-3.6.2-dbg, libarpack2-dbg, 
 ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Scalable Library for Eigenvalue Problem Computations
 SLEPc is a software library for the solution of large scale sparse eigenvalue
 problems on parallel computers. It is an extension of PETSc and can be used
 for either standard or generalized eigenproblems, with real or complex
 arithmetic. It can also be used for computing a partial SVD of a large,
 sparse, rectangular matrix.
 .
 This package contains the debugging libraries for SLEPc with complex numbers.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Overriding this with "contrib" attempts to link with parmetis (unimplemented).
DEBIAN_DIST=main

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# On Alpha, override this with debian/rules SLEPC_ARCH=linux_alpha_dec binary
# to build PETSc libs with the Compaq compilers, though that requires at least:
# libots, cpml-ev(5|6), cxml-ev(5|6), cfal and ccc.
# Note that only arch-dependent .debs are generated when you do this.
PETSC_ARCH=$(DEB_HOST_MULTIARCH)
SLEPC_ARCH=$(PETSC_ARCH)

# This defines the MPI implementation to use.  The easiest way to override this
# default is to specify while building, e.g. debian/rules SLEPC_MPI=lam binary.
# Again, only arch-dependent .debs are generated when you do this.
# Note that as of PETSc 2.3.0 this only specifies the name of the PETSc
# packages, the implementation is chosen by BuildSystem according to what's
# available at build time.
include /usr/share/mpi-default-dev/debian_defaults
SLEPC_MPI=$(ARCH_DEFAULT_MPI_IMPL)
SLEPC_MPI_DIR=/usr/lib/$(SLEPC_MPI)

# facilitate build-time testing (invoking OpenMPI) when building in a chroot (pbuilder or sbuild)
export OMPI_MCA_orte_rsh_agent=/bin/false

SLEPC_HDF5_FLAGS=$(shell if [ -e /usr/lib/libhdf5.so ]; then echo "--with-hdf5=1 --with-hdf5-dir=/usr"; fi)

SLEPC_BUILD_DIR=$(SLEPC_ARCH)-real
SLEPC_DEBUG_BUILD_DIR=$(SLEPC_ARCH)-real-debug
SLEPC_COMPLEX_BUILD_DIR=$(SLEPC_ARCH)-complex
SLEPC_COMPLEX_DEBUG_BUILD_DIR=$(SLEPC_ARCH)-complex-debug

# SLEPC_VERSION is used for the package names, library sonames, and
# /usr/lib/slepcdir subdirectory names.
SLEPC_VERSION=3.6.1$(SLEPC_EXT)
# use only major.minor as general soname (rather than major.minor.patch.build)
SLEPC_SONAME_VERSION=$(shell echo $(SLEPC_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')

# SLEPC_NAME is the install dir under /usr/lib and the base for package names
SLEPC_SONAME=slepc$(SLEPC_SONAME_VERSION)
SLEPC_NAME=slepc$(SLEPC_VERSION)
SLEPC_COMPLEX_SONAME=slepc-complex-$(SLEPC_SONAME_VERSION)
SLEPC_COMPLEX_NAME=slepc-complex-$(SLEPC_VERSION)

# debian binary package names
SLEPC_DEV_PACKAGE=$(SLEPC_NAME)-dev
SLEPC_VERSIONED_DEV_PACKAGE=lib$(SLEPC_NAME)-dev
SLEPC_VERSIONED_PACKAGE=lib$(SLEPC_SONAME)
SLEPC_DEBUG_PACKAGE=lib$(SLEPC_NAME)-dbg
SLEPC_DOC_PACKAGE=$(SLEPC_NAME)-doc
SLEPC_COMPLEX_VERSIONED_DEV_PACKAGE=lib$(SLEPC_COMPLEX_NAME)-dev
SLEPC_COMPLEX_VERSIONED_PACKAGE=lib$(SLEPC_COMPLEX_SONAME)
SLEPC_COMPLEX_DEBUG_PACKAGE=lib$(SLEPC_COMPLEX_NAME)-dbg

# install into /usr/lib/slepcdir rather than /usr/lib/slepc 
# to allow /usr/lib/slepc to be configured by alternatives
SLEPC_DIR_PREFIX=/usr/lib/slepcdir/$(SLEPC_VERSION)/$(SLEPC_ARCH)-real
SLEPC_DIR_DEBUG_PREFIX=/usr/lib/slepcdir/$(SLEPC_VERSION)/$(SLEPC_ARCH)-real-debug
SLEPC_COMPLEX_DIR_PREFIX=/usr/lib/slepcdir/$(SLEPC_VERSION)/$(SLEPC_ARCH)-complex
SLEPC_COMPLEX_DEBUG_DIR_PREFIX=/usr/lib/slepcdir/$(SLEPC_VERSION)/$(SLEPC_ARCH)-complex-debug

PACKAGE_INSTALL_BASEDIR=debian/tmp/$(SLEPC_NAME)-real
PACKAGE_INSTALL_DIR=$(PACKAGE_INSTALL_BASEDIR)/$(SLEPC_DIR_PREFIX)
PACKAGE_DEBUG_INSTALL_BASEDIR=debian/tmp/$(SLEPC_NAME)-real-debug
PACKAGE_DEBUG_INSTALL_DIR=$(PACKAGE_DEBUG_INSTALL_BASEDIR)/$(SLEPC_DIR_DEBUG_PREFIX)
PACKAGE_COMPLEX_INSTALL_BASEDIR=debian/tmp/$(SLEPC_NAME)-complex
PACKAGE_COMPLEX_INSTALL_DIR=$(PACKAGE_COMPLEX_INSTALL_BASEDIR)/$(SLEPC_COMPLEX_DIR_PREFIX)
PACKAGE_COMPLEX_DEBUG_INSTALL_BASEDIR=debian/tmp/$(SLEPC_NAME)-complex-debug
PACKAGE_COMPLEX_DEBUG_INSTALL_DIR=$(PACKAGE_COMPLEX_DEBUG_INSTALL_BASEDIR)/$(SLEPC_COMPLEX_DEBUG_DIR_PREFIX)

PETSC_VERSION=3.6.2
PETSC_DIR=/usr/lib/petscdir/$(PETSC_VERSION)
PETSC_DIR_REAL=$(PETSC_DIR)/$(DEB_HOST_MULTIARCH)-real
PETSC_DIR_REAL_DEBUG=$(PETSC_DIR)/$(DEB_HOST_MULTIARCH)-real-debug
PETSC_DIR_COMPLEX=$(PETSC_DIR)/$(DEB_HOST_MULTIARCH)-complex
PETSC_DIR_COMPLEX_DEBUG=$(PETSC_DIR)/$(DEB_HOST_MULTIARCH)-complex-debug


export SLEPC_DIR=$(CURDIR)

# main packaging script based on dh7 syntax
%:
	dh $@ --with python2


override_dh_auto_clean:
	if [ -d $(SLEPC_DEBUG_BUILD_DIR) ]; then \
	  dh_auto_clean -p$(SLEPC_DEBUG_PACKAGE) -- \
	    SLEPC_DIR=$(CURDIR) SLEPC_ARCH=$(SLEPC_DEBUG_BUILD_DIR); \
	fi
	if [ -d $(SLEPC_BUILD_DIR) ]; then \
	dh_auto_clean -p$(SLEPC_VERSIONED_DEV_PACKAGE) -- \
	  SLEPC_DIR=$(CURDIR) SLEPC_ARCH=$(SLEPC_BUILD_DIR); \
	fi
	if [ -d $(SLEPC_COMPLEX_BUILD_DIR) ]; then \
	dh_auto_clean -p$(SLEPC_COMPLEX_VERSIONED_DEV_PACKAGE) -- \
	  SLEPC_DIR=$(CURDIR) SLEPC_ARCH=$(SLEPC_COMPLEX_BUILD_DIR); \
	fi
	if [ -d $(SLEPC_COMPLEX_DEBUG_BUILD_DIR) ]; then \
	dh_auto_clean -p$(SLEPC_COMPLEX_DEBUG_PACKAGE) -- \
	  SLEPC_DIR=$(CURDIR) SLEPC_ARCH=$(SLEPC_COMPLEX_DEBUG_BUILD_DIR); \
	fi


#SLEPc cannot differentiate different configrations at build time 
# i.e. there is no SLEPC_ARCH, unlike PETSC_ARCH.
# So have to configure and build in one step
# Note SLEPc's ./configure refuses to allow additional (unknown) options
# so can't use dh_auto_configure
override_dh_auto_configure:

override_dh_auto_build:


override_dh_auto_test:
#	dh_auto_test -p$(SLEPC_DEBUG_PACKAGE) -- \
#	  SLEPC_DIR=$(CURDIR) PETSC_ARCH=$(SLEPC_DEBUG_BUILD_DIR) \
#	  LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(SLEPC_DEBUG_BUILD_DIR)/lib
#	dh_auto_test -p$(SLEPC_VERSIONED_DEV_PACKAGE) -- \
#	  SLEPC_DIR=$(CURDIR) PETSC_ARCH=$(SLEPC_BUILD_DIR) \
#	  LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(SLEPC_BUILD_DIR)/lib
#	dh_auto_test -p$(SLEPC_COMPLEX_VERSIONED_DEV_PACKAGE) -- \
#	  SLEPC_DIR=$(CURDIR) PETSC_ARCH=$(SLEPC_COMPLEX_BUILD_DIR) \
#	  LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(SLEPC_COMPLEX_BUILD_DIR)/lib
#	dh_auto_test -p$(SLEPC_COMPLEX_DEBUG_PACKAGE) -- \
#	  SLEPC_DIR=$(CURDIR) PETSC_ARCH=$(SLEPC_COMPLEX_DEBUG_BUILD_DIR) \
#	  LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(SLEPC_COMPLEX_DEBUG_BUILD_DIR)/lib


override_dh_auto_install:
	PETSC_DIR=$(PETSC_DIR_REAL) \
          ./configure --prefix=$(SLEPC_DIR_PREFIX)  \
            --with-arpack=1 \
            --shared-library-extension=_real
	dh_auto_build -p$(SLEPC_VERSIONED_DEV_PACKAGE) -- \
            PETSC_DIR=$(PETSC_DIR_REAL)
	dh_auto_install -p$(SLEPC_VERSIONED_DEV_PACKAGE) --destdir=$(PACKAGE_INSTALL_DIR) --  \
          SLEPC_INSTALLDIR=$(SLEPC_DIR_PREFIX) \
          SLEPC_DESTDIR=$(PACKAGE_INSTALL_DIR) \
          PETSC_DIR=$(PETSC_DIR_REAL)
	echo PACKAGE_INSTALL_DIR=$(PACKAGE_INSTALL_DIR)
	echo SLEPC_DIR_PREFIX=$(SLEPC_DIR_PREFIX)
#	make SLEPC_DIR=$(CURDIR)/$(PACKAGE_INSTALL_DIR) PETSC_DIR=$(PETSC_DIR_REAL) PETSC_ARCH="" LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(PACKAGE_INSTALL_DIR)/lib test
	
	PETSC_DIR=$(PETSC_DIR_REAL_DEBUG) \
          ./configure --prefix=$(SLEPC_DIR_DEBUG_PREFIX)  \
          --with-arpack=1 --with-arpack-dir=/usr/lib/debug/usr/lib --with-arpack-flags=-lparpack,-larpack \
          --shared-library-extension=_real
	dh_auto_build -p$(SLEPC_DEBUG_PACKAGE) -- \
          PETSC_DIR=$(PETSC_DIR_REAL_DEBUG)
	dh_auto_install -p$(SLEPC_DEBUG_PACKAGE) --destdir=$(PACKAGE_DEBUG_INSTALL_DIR) --  \
          SLEPC_INSTALLDIR=$(SLEPC_DIR_DEBUG_PREFIX) \
          SLEPC_DESTDIR=$(PACKAGE_DEBUG_INSTALL_DIR)  \
          PETSC_DIR=$(PETSC_DIR_REAL_DEBUG)
#	make SLEPC_DIR=$(CURDIR)/$(PACKAGE_DEBUG_INSTALL_DIR) PETSC_DIR=$(PETSC_DIR_REAL_DEBUG) PETSC_ARCH="" LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(PACKAGE_INSTALL_DIR)/lib test
	
	PETSC_DIR=$(PETSC_DIR_COMPLEX) \
          ./configure --prefix=$(SLEPC_COMPLEX_DIR_PREFIX)  \

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\d//,repacksuffix=.dfsg1 \
 http://slepc.upv.es/download/download.htm ^.*slepc-(.+)\.(?:tgz|tar\.gz)$

## slepc 3.6.3.dfsg1

=== debian/changelog ===
slepc (3.6.3.dfsg1-3) unstable; urgency=medium

  * Drop /usr/lib/libslepc.so alternative from debug packages.

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Apr 2016 19:51:11 +0800

slepc (3.6.3.dfsg1-2) unstable; urgency=medium

  * Remove alternatives link when packages are removed.
    - libslepc_real.so.3.6 (package libslepc3.6.3)
    - libslepc_complex.so.3.6 (package libslepc-complex-3.6.3)
    - libslepc_real.so (package libslepc3.6.3-dev)
    - libslepc_complex.so (package libslepc-complex-3.6.3-dev) 
    Closes: #820283.

 -- Drew Parsons <dparsons@debian.org>  Thu, 07 Apr 2016 20:21:51 +0800

slepc (3.6.3.dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Update debian/watch to include filename mangling.
  * Standards-Version: 3.9.7
  * Build doc package from files installed for the debug package.
    Closes: #817167.
  * Drop legacy alternative link to /usr/lib/libslepc.so. It just makes
    trouble with ldconfig.

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 Apr 2016 15:42:12 +0800

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
  Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper (>= 9), quilt, python (>= 2.4.4-6),
  pkg-config, dh-python, gfortran,
- libpetsc3.6.2-dev, libpetsc3.6.2-dbg,
- libpetsc-complex-3.6.2-dev, libpetsc-complex-3.6.2-dbg,
+ libpetsc3.6.3-dev, libpetsc3.6.3-dbg,
+ libpetsc-complex-3.6.3-dev, libpetsc-complex-3.6.3-dbg,
  libarpack2-dev, libparpack2-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: libs
 Homepage: http://slepc.upv.es/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/slepc.git
@@ -17,7 +17,7 @@
 Package: slepc-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc3.6.1-dev, ${misc:Depends}
+Depends: libslepc3.6-dev, ${misc:Depends}
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -27,12 +27,27 @@
  .
  This is a virtual package which depends on the latest version of SLEPc.
 
-Package: libslepc3.6.1-dev
+Package: libslepc3.6-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc3.6 (= ${binary:Version}), libpetsc3.6.2-dev, libarpack2-dev, libhdf5-mpi-dev, 
+Depends: libslepc3.6.3-dev, ${misc:Depends}, ${python:Depends}
+Description: Scalable Library for Eigenvalue Problem Computations
+ SLEPc is a software library for the solution of large scale sparse eigenvalue
+ problems on parallel computers. It is an extension of PETSc and can be used
+ for either standard or generalized eigenproblems, with real or complex
+ arithmetic. It can also be used for computing a partial SVD of a large,
+ sparse, rectangular matrix.
+ .
+ This is a dummy package that depends on the latest version of SLEPc 3.6 
+ which provides the static libraries, shared links, and header files
+ for SLEPC with real numbers.
+
+Package: libslepc3.6.3-dev
+Section: libdevel
+Architecture: any
+Depends: libslepc3.6.3 (= ${binary:Version}), libpetsc3.6.3-dev, libarpack2-dev, libhdf5-mpi-dev, 
  ${misc:Depends}, ${python:Depends}
-Suggests: libslepc3.6.1-dbg (= ${binary:Version}), slepc3.6.1-doc (= ${binary:Version})
+Suggests: libslepc3.6.3-dbg (= ${binary:Version}), slepc3.6.3-doc (= ${binary:Version})
 Conflicts: libslepc2.3.2-dev
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
@@ -44,11 +59,12 @@
  This package contains the static libraries, shared links, and header files
  for SLEPC with real numbers.
 
-Package: libslepc3.6
+Package: libslepc3.6.3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libslepc2.3.2
+Conflicts: libslepc2.3.2, libslepc3.6 (<= 3.6.1.dfsg1-2)
+Replaces: libslepc3.6 (<= 3.6.1.dfsg1-2)
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -58,10 +74,10 @@
  .
  This package contains the shared libraries for SLEPc with real numbers.
 
-Package: libslepc3.6.1-dbg
+Package: libslepc3.6.3-dbg
 Architecture: any
 Section: debug
-Depends: libslepc3.6.1-dev (= ${binary:Version}), libpetsc3.6.2-dbg, libarpack2-dbg, 
+Depends: libslepc3.6.3-dev (= ${binary:Version}), libpetsc3.6.3-dbg, libarpack2-dbg, 
  ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
@@ -72,11 +88,11 @@
  .
  This package contains the debugging libraries for SLEPc with real numbers.
 
-Package: slepc3.6.1-doc
+Package: slepc3.6.3-doc
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Suggests: libslepc3.6.1-dev (= ${binary:Version})
+Suggests: libslepc3.6.3-dev (= ${binary:Version})
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -86,12 +102,27 @@
  .
  This package contains the documentation and examples for SLEPc.
 
-Package: libslepc-complex-3.6.1-dev
+Package: libslepc-complex-3.6-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc-complex-3.6 (= ${binary:Version}), libpetsc-complex-3.6.2-dev, libarpack2-dev, libhdf5-mpi-dev, 
+Depends: libslepc-complex-3.6.3-dev, ${misc:Depends}, ${python:Depends}
+Description: Scalable Library for Eigenvalue Problem Computations
+ SLEPc is a software library for the solution of large scale sparse eigenvalue
+ problems on parallel computers. It is an extension of PETSc and can be used
+ for either standard or generalized eigenproblems, with real or complex
+ arithmetic. It can also be used for computing a partial SVD of a large,
+ sparse, rectangular matrix.
+ .
+ This is a dummy package that depends on the latest version of SLEPc 3.6 
+ which provides the static libraries, shared links, and header files
+ for SLEPC with complex numbers.
+
+Package: libslepc-complex-3.6.3-dev
+Section: libdevel
+Architecture: any
+Depends: libslepc-complex-3.6.3 (= ${binary:Version}), libpetsc-complex-3.6.3-dev, libarpack2-dev, libhdf5-mpi-dev, 
  ${misc:Depends}, ${python:Depends}
-Suggests: libslepc-complex-3.6.1-dbg (= ${binary:Version}), slepc3.6.1-doc (= ${binary:Version})
+Suggests: libslepc-complex-3.6.3-dbg (= ${binary:Version}), slepc3.6.3-doc (= ${binary:Version})
 Conflicts: libslepc2.3.2-dev
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
@@ -103,11 +134,12 @@
  This package contains the static libraries, shared links, and header files
  for SLEPC with complex numbers.
 
-Package: libslepc-complex-3.6
+Package: libslepc-complex-3.6.3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libslepc2.3.2
+Conflicts: libslepc2.3.2, libslepc-complex-3.6 (<= 3.6.1.dfsg1-2)
+Replaces: libslepc-complex-3.6 (<= 3.6.1.dfsg1-2)
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -117,10 +149,10 @@
  .
  This package contains the shared libraries for SLEPc with complex numbers.
 
-Package: libslepc-complex-3.6.1-dbg
+Package: libslepc-complex-3.6.3-dbg
 Architecture: any
 Section: debug
-Depends: libslepc-complex-3.6.1-dev (= ${binary:Version}), libpetsc-complex-3.6.2-dbg, libarpack2-dbg, 
+Depends: libslepc-complex-3.6.3-dev (= ${binary:Version}), libpetsc-complex-3.6.3-dbg, libarpack2-dbg, 
  ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue

=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 
 # SLEPC_VERSION is used for the package names, library sonames, and
 # /usr/lib/slepcdir subdirectory names.
-SLEPC_VERSION=3.6.1$(SLEPC_EXT)
+SLEPC_VERSION=3.6.3$(SLEPC_EXT)
 # use only major.minor as general soname (rather than major.minor.patch.build)
 SLEPC_SONAME_VERSION=$(shell echo $(SLEPC_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')
 
@@ -63,11 +63,11 @@
 # debian binary package names
 SLEPC_DEV_PACKAGE=$(SLEPC_NAME)-dev
 SLEPC_VERSIONED_DEV_PACKAGE=lib$(SLEPC_NAME)-dev
-SLEPC_VERSIONED_PACKAGE=lib$(SLEPC_SONAME)
+SLEPC_VERSIONED_PACKAGE=lib$(SLEPC_NAME)
 SLEPC_DEBUG_PACKAGE=lib$(SLEPC_NAME)-dbg
 SLEPC_DOC_PACKAGE=$(SLEPC_NAME)-doc
 SLEPC_COMPLEX_VERSIONED_DEV_PACKAGE=lib$(SLEPC_COMPLEX_NAME)-dev
-SLEPC_COMPLEX_VERSIONED_PACKAGE=lib$(SLEPC_COMPLEX_SONAME)
+SLEPC_COMPLEX_VERSIONED_PACKAGE=lib$(SLEPC_COMPLEX_NAME)
 SLEPC_COMPLEX_DEBUG_PACKAGE=lib$(SLEPC_COMPLEX_NAME)-dbg
 
 # install into /usr/lib/slepcdir rather than /usr/lib/slepc 
@@ -86,7 +86,7 @@
 PACKAGE_COMPLEX_DEBUG_INSTALL_BASEDIR=debian/tmp/$(SLEPC_NAME)-complex-debug
 PACKAGE_COMPLEX_DEBUG_INSTALL_DIR=$(PACKAGE_COMPLEX_DEBUG_INSTALL_BASEDIR)/$(SLEPC_COMPLEX_DEBUG_DIR_PREFIX)
 
-PETSC_VERSION=3.6.2
+PETSC_VERSION=3.6.3
 PETSC_DIR=/usr/lib/petscdir/$(PETSC_VERSION)
 PETSC_DIR_REAL=$(PETSC_DIR)/$(DEB_HOST_MULTIARCH)-real
 PETSC_DIR_REAL_DEBUG=$(PETSC_DIR)/$(DEB_HOST_MULTIARCH)-real-debug
@@ -103,7 +103,7 @@
 
 override_dh_auto_clean:
 	if [ -d $(SLEPC_DEBUG_BUILD_DIR) ]; then \
-	  dh_auto_clean -p$(SLEPC_DEBUG_PACKAGE) -- \
+	  dh_auto_clean -p$(SLEPC_DEBUG_PACKAGE) -p$(SLEPC_DOC_PACKAGE) -- \
 	    SLEPC_DIR=$(CURDIR) SLEPC_ARCH=$(SLEPC_DEBUG_BUILD_DIR); \
 	fi
 	if [ -d $(SLEPC_BUILD_DIR) ]; then \
@@ -164,13 +164,12 @@
           ./configure --prefix=$(SLEPC_DIR_DEBUG_PREFIX)  \
           --with-arpack=1 --with-arpack-dir=/usr/lib/debug/usr/lib --with-arpack-flags=-lparpack,-larpack \
           --shared-library-extension=_real
-	dh_auto_build -p$(SLEPC_DEBUG_PACKAGE) -- \
+	dh_auto_build -p$(SLEPC_DEBUG_PACKAGE) -p$(SLEPC_DOC_PACKAGE) -- \
           PETSC_DIR=$(PETSC_DIR_REAL_DEBUG)
-	dh_auto_install -p$(SLEPC_DEBUG_PACKAGE) --destdir=$(PACKAGE_DEBUG_INSTALL_DIR) --  \
+	dh_auto_install -p$(SLEPC_DEBUG_PACKAGE) -p$(SLEPC_DOC_PACKAGE) \
+          --destdir=$(PACKAGE_DEBUG_INSTALL_DIR) --  \
           SLEPC_INSTALLDIR=$(SLEPC_DIR_DEBUG_PREFIX) \
           SLEPC_DESTDIR=$(PACKAGE_DEBUG_INSTALL_DIR)  \
           PETSC_DIR=$(PETSC_DIR_REAL_DEBUG)
 #	make SLEPC_DIR=$(CURDIR)/$(PACKAGE_DEBUG_INSTALL_DIR) PETSC_DIR=$(PETSC_DIR_REAL_DEBUG) PETSC_ARCH="" LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(PACKAGE_INSTALL_DIR)/lib test
 	
-	PETSC_DIR=$(PETSC_DIR_COMPLEX) \
-          ./configure --prefix=$(SLEPC_COMPLEX_DIR_PREFIX)  \

=== debian/watch ===
version=3
opts="dversionmangle=s/\.dfsg\d//,repacksuffix=.dfsg1, filenamemangle=s/.*=(.*)/$1/" \
 http://slepc.upv.es/download/download.php\?filename=slepc-(.+)\.(?:tgz|tar\.gz)$
